<?php
public function createRepo($repo)
{
    return $this->loadExtension('devops')->createRepo($repo);
}

public function createGitFoxRepo($repo, $namespace)
{
    return $this->loadExtension('devops')->createGitFoxRepo($repo, $namespace);
}

public function getGitfoxProjects($gitfoxID, $projectFilter = '')
{
    return $this->loadExtension('devops')->getGitfoxProjects($gitfoxID, $projectFilter);
}

public function getGitFoxGroups($gitfoxID)
{
    return $this->loadExtension('devops')->getGitFoxGroups($gitfoxID);
}

public function saveRelation($repoID, $branch, $objectID, $objectType, $relation = 'linkrepobranch')
{
    return $this->loadExtension('devops')->saveRelation($repoID, $branch, $objectID, $objectType, $relation);
}

public function unlinkObjectBranch($objectID, $objectType, $repoID, $branch)
{
    return $this->loadExtension('devops')->unlinkObjectBranch($objectID, $objectType, $repoID, $branch);
}

public function link($repoID, $revision, $type = 'story', $from = 'repo')
{
    return $this->loadExtension('devops')->link($repoID, $revision, $type, $from);
}

public function unlink($repoID, $revision, $objectType, $objectID)
{
    return $this->loadExtension('devops')->unlink($repoID, $revision, $objectType, $objectID);
}

public function saveAction2PMS($objects, $log, $repoRoot = '', $encodings = 'utf-8', $scm = 'svn', $gitlabAccountPairs = array())
{
    return $this->loadExtension('devops')->saveAction2PMS($objects, $log, $repoRoot, $encodings, $scm, $gitlabAccountPairs);
}

public function apiDeleteTag($repoID, $tag)
{
    return $this->loadExtension('devops')->apiDeleteTag($repoID, $tag);
}

public function apiDeleteBranch($repoID, $branch)
{
    return $this->loadExtension('devops')->apiDeleteBranch($repoID, $branch);
}

public function setMenu($repos, $repoID = 0)
{
    return $this->loadExtension('devops')->setMenu($repos, $repoID);
}

public function deleteRepo($repoID)
{
    return $this->loadExtension('devops')->deleteRepo($repoID);
}

public function create($repo, $isPipelineServer)
{
    return $this->loadExtension('devops')->create($repo, $isPipelineServer);
}

public function getByID($repoID)
{
    return $this->loadExtension('devops')->getByID($repoID);
}

public function getCloneUrl($repo)
{
    return $this->loadExtension('devops')->getCloneUrl($repo);
}

public function setHideMenu($objectID)
{
    return $this->loadExtension('devops')->setHideMenu($objectID);
}

public function getList($projectID = 0, $scm = '', $orderBy = 'id_desc', $pager = null, $getCodePath = false, $lastSubmitTime = false, $type = '', $param = 0)
{
    return $this->loadExtension('devops')->getList($projectID, $scm, $orderBy, $pager, $getCodePath, $lastSubmitTime, $type, $param);
}
public function update($data, $repo, $isPipelineServer)
{
    return $this->loadExtension('devops')->update($data, $repo, $isPipelineServer);
}
public function getSystemList($systemQuery = '')
{
    return $this->loadExtension('devops')->getSystemList($systemQuery);
}
public function getGitFoxRepos()
{
    return $this->loadExtension('devops')->getGitFoxRepos();
}
public function getListBySCM($scm, $type = 'all')
{
    return $this->loadExtension('devops')->getListBySCM($scm, $type);
}
